<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>DependencySpecContainer (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DependencySpecContainer (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/platform/base/DependencySpecBuilder.html" title="interface in org.gradle.platform.base"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/DependencySpecContainer.html" target="_top">Frames</a></li>
<li><a href="DependencySpecContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.platform.base</div>
<h2 title="Interface DependencySpecContainer" class="title">Interface DependencySpecContainer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">DependencySpecContainer</span></pre>
<div class="block">A container for dependency specifications.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../org/gradle/platform/base/DependencySpec.html" title="interface in org.gradle.platform.base">DependencySpec</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html#getDependencies()">getDependencies</a></strong>()</code>
<div class="block">Returns an immutable view of dependencies stored in this container.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/platform/base/ModuleDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ModuleDependencySpecBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html#group(java.lang.String)">group</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Defines a new module dependency, based on a module group name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html#isEmpty()">isEmpty</a></strong>()</code>
<div class="block">Returns true if this container doesn't hold any dependency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/platform/base/ProjectDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ProjectDependencySpecBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html#library(java.lang.String)">library</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Defines a new dependency, based on a library name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/platform/base/ModuleDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ModuleDependencySpecBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html#module(java.lang.String)">module</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;moduleIdOrName)</code>
<div class="block">Defines a new module dependency, based on a module id or a simple name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/platform/base/ProjectDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ProjectDependencySpecBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html#project(java.lang.String)">project</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Defines a new dependency, based on a project path.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="project(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre><a href="../../../../org/gradle/platform/base/ProjectDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ProjectDependencySpecBuilder</a>&nbsp;project(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Defines a new dependency, based on a project path. The returned dependency can be mutated.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - the project path</dd>
<dt><span class="strong">Returns:</span></dt><dd>a mutable dependency, added to this container</dd></dl>
</li>
</ul>
<a name="library(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>library</h4>
<pre><a href="../../../../org/gradle/platform/base/ProjectDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ProjectDependencySpecBuilder</a>&nbsp;library(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Defines a new dependency, based on a library name. The returned dependency can be mutated.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - of the library</dd>
<dt><span class="strong">Returns:</span></dt><dd>a mutable dependency, added to this container</dd></dl>
</li>
</ul>
<a name="module(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>module</h4>
<pre><a href="../../../../org/gradle/platform/base/ModuleDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ModuleDependencySpecBuilder</a>&nbsp;module(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;moduleIdOrName)</pre>
<div class="block">Defines a new module dependency, based on a module id or a simple name. The returned dependency can be mutated.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>moduleIdOrName</code> - of the module</dd>
<dt><span class="strong">Returns:</span></dt><dd>a mutable module dependency, added to this container</dd></dl>
</li>
</ul>
<a name="group(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>group</h4>
<pre><a href="../../../../org/gradle/platform/base/ModuleDependencySpecBuilder.html" title="interface in org.gradle.platform.base">ModuleDependencySpecBuilder</a>&nbsp;group(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Defines a new module dependency, based on a module group name. The returned dependency can be mutated.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - of the module group</dd>
<dt><span class="strong">Returns:</span></dt><dd>a mutable module dependency, added to this container</dd></dl>
</li>
</ul>
<a name="getDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencies</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../org/gradle/platform/base/DependencySpec.html" title="interface in org.gradle.platform.base">DependencySpec</a>&gt;&nbsp;getDependencies()</pre>
<div class="block">Returns an immutable view of dependencies stored in this container.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>an immutable view of dependencies. Each dependency in the collection is itself immutable.</dd></dl>
</li>
</ul>
<a name="isEmpty()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isEmpty</h4>
<pre>boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if this container doesn't hold any dependency.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this container doesn't contain any dependency specification.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/platform/base/DependencySpecBuilder.html" title="interface in org.gradle.platform.base"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/DependencySpecContainer.html" target="_top">Frames</a></li>
<li><a href="DependencySpecContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
